NX Open C++ Reference Guide
|
Use the SketchAlongPathBuilder to create or reattach a Sketch along a path. More...
Public Types | |
enum | PlaneOrientationType { PlaneOrientationTypeNormalToPath, PlaneOrientationTypeNormalToVector, PlaneOrientationTypeParallelToVector, PlaneOrientationTypeThroughAxis } |
Indicates the orientation of the plane. More... | |
enum | SketchOrientationType { SketchOrientationTypeAutomatic, SketchOrientationTypeRelativeToFace, SketchOrientationTypeUseCurveParameters } |
Indicates the sketch orientation method. More... | |
Public Member Functions | |
NXOpen::SelectIReferenceAxis * | Axis () |
Returns the horizontal reference Created in NX5.0.0. | |
double | NextThroughPointSolution () |
Returns the parameter indicating the location of the next solution Created in NX5.0.0. | |
NXOpen::ScCollector * | OrientingFace () |
Returns the orienting faces to evaluate X and Y axis of sketch if SketchAlongPathBuilder::SketchOrientationType is SketchAlongPathBuilder::SketchOrientationTypeRelativeToFace . | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | PlaneLocation () |
Returns the plane location Created in NX5.0.0. | |
NXOpen::SketchAlongPathBuilder::PlaneOrientationType | PlaneOrientation () |
Returns the plane orientation type Created in NX5.0.0. | |
NXOpen::Direction * | PlaneOrientationAxis () |
Returns the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis" Created in NX5.0.0. | |
bool | ReverseAxis () |
Returns the flag to indicate the horizontal reference axis is reversed Created in NX5.0.0. | |
bool | ReversePlaneNormal () |
Returns the flag to indicate the plane normal is reversed Created in NX5.0.0. | |
NXOpen::Section * | Section () |
Returns the path Created in NX5.0.0. | |
void | SetPlaneOrientation (NXOpen::SketchAlongPathBuilder::PlaneOrientationType planeOrientationType) |
Sets the plane orientation type Created in NX5.0.0. | |
void | SetPlaneOrientationAxis (NXOpen::Direction *vector) |
Sets the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis" Created in NX5.0.0. | |
void | SetReverseAxis (bool reverseAxis) |
Sets the flag to indicate the horizontal reference axis is reversed Created in NX5.0.0. | |
void | SetReversePlaneNormal (bool reversePlaneNormal) |
Sets the flag to indicate the plane normal is reversed Created in NX5.0.0. | |
void | SetShowAllDatumAxes (bool showAllDatumAxes) |
Sets the flag to create all datum axes for path having shared edge. | |
void | SetSketchOrient (NXOpen::SketchAlongPathBuilder::SketchOrientationType sketchOrientMethod) |
Sets the sketch orientation method as SketchAlongPathBuilder::SketchOrientationType Created in NX6.0.0. | |
bool | ShowAllDatumAxes () |
Returns the flag to create all datum axes for path having shared edge. | |
NXOpen::SketchAlongPathBuilder::SketchOrientationType | SketchOrient () |
Returns the sketch orientation method as SketchAlongPathBuilder::SketchOrientationType Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Use the SketchAlongPathBuilder to create or reattach a Sketch along a path.
To create a new instance of this class, use SketchCollection::CreateSketchAlongPathBuilder
Default values.
Property | Value |
---|---|
ShowAllDatumAxes |
True |
SketchOrient |
Automatic |
Created in NX5.0.0.
Indicates the orientation of the plane.
PlaneOrientationTypeNormalToPath |
Normal to Path. |
PlaneOrientationTypeNormalToVector |
Normal to Vector. |
PlaneOrientationTypeParallelToVector |
Parallel to Vector. |
PlaneOrientationTypeThroughAxis |
Through Axis. |
Indicates the sketch orientation method.
For the sketch orientation type is 'Automatic': two set of datum axes are created if the path contains a shared edge, one set of each face. For laminar edge one set of datum axes is created. If the path contains only wireframe the two set of axes are created. For the sketch orientation type is 'Relative to face': one set of datum axes is craeted using the orienting faces For the sketch orientation type is 'Use curve parameter': one set of datum axes is created using the the curve parameter
NXOpen::SelectIReferenceAxis* NXOpen::SketchAlongPathBuilder::Axis | ( | ) |
Returns the horizontal reference
Created in NX5.0.0.
License requirements : None
double NXOpen::SketchAlongPathBuilder::NextThroughPointSolution | ( | ) |
Returns the parameter indicating the location of the next solution
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::SketchAlongPathBuilder::OrientingFace | ( | ) |
Returns the orienting faces to evaluate X and Y axis of sketch if SketchAlongPathBuilder::SketchOrientationType is SketchAlongPathBuilder::SketchOrientationTypeRelativeToFace .
The datum axes are evaluated as tangent and normal of the orienting face.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::SketchAlongPathBuilder::PlaneLocation | ( | ) |
Returns the plane location
Created in NX5.0.0.
License requirements : None
NXOpen::SketchAlongPathBuilder::PlaneOrientationType NXOpen::SketchAlongPathBuilder::PlaneOrientation | ( | ) |
Returns the plane orientation type
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::SketchAlongPathBuilder::PlaneOrientationAxis | ( | ) |
Returns the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis"
Created in NX5.0.0.
License requirements : None
bool NXOpen::SketchAlongPathBuilder::ReverseAxis | ( | ) |
Returns the flag to indicate the horizontal reference axis is reversed
Created in NX5.0.0.
License requirements : None
bool NXOpen::SketchAlongPathBuilder::ReversePlaneNormal | ( | ) |
Returns the flag to indicate the plane normal is reversed
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::SketchAlongPathBuilder::Section | ( | ) |
Returns the path
Created in NX5.0.0.
License requirements : None
void NXOpen::SketchAlongPathBuilder::SetPlaneOrientation | ( | NXOpen::SketchAlongPathBuilder::PlaneOrientationType | planeOrientationType | ) |
Sets the plane orientation type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
planeOrientationType | planeorientationtype |
void NXOpen::SketchAlongPathBuilder::SetPlaneOrientationAxis | ( | NXOpen::Direction * | vector | ) |
Sets the plane orientation axis for one of the types of "Normal to Vector", "Parallel to Vector" and "Through Axis"
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
vector | vector |
void NXOpen::SketchAlongPathBuilder::SetReverseAxis | ( | bool | reverseAxis | ) |
Sets the flag to indicate the horizontal reference axis is reversed
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reverseAxis | reverseaxis |
void NXOpen::SketchAlongPathBuilder::SetReversePlaneNormal | ( | bool | reversePlaneNormal | ) |
Sets the flag to indicate the plane normal is reversed
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reversePlaneNormal | reverseplanenormal |
void NXOpen::SketchAlongPathBuilder::SetShowAllDatumAxes | ( | bool | showAllDatumAxes | ) |
Sets the flag to create all datum axes for path having shared edge.
This option is applicable only when SketchAlongPathBuilder::SketchOrientationType is SketchAlongPathBuilder::SketchOrientationTypeRelativeToFace
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
showAllDatumAxes | show all datum axes |
void NXOpen::SketchAlongPathBuilder::SetSketchOrient | ( | NXOpen::SketchAlongPathBuilder::SketchOrientationType | sketchOrientMethod | ) |
Sets the sketch orientation method as SketchAlongPathBuilder::SketchOrientationType
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sketchOrientMethod | sketch orient method |
bool NXOpen::SketchAlongPathBuilder::ShowAllDatumAxes | ( | ) |
Returns the flag to create all datum axes for path having shared edge.
This option is applicable only when SketchAlongPathBuilder::SketchOrientationType is SketchAlongPathBuilder::SketchOrientationTypeRelativeToFace
Created in NX6.0.0.
License requirements : None
NXOpen::SketchAlongPathBuilder::SketchOrientationType NXOpen::SketchAlongPathBuilder::SketchOrient | ( | ) |
Returns the sketch orientation method as SketchAlongPathBuilder::SketchOrientationType
Created in NX6.0.0.
License requirements : None